Bug 92458 (elementary) - Integrate the “elementary” theme into LibreOffice
Summary: Integrate the “elementary” theme into LibreOffice
Status: RESOLVED FIXED
Alias: elementary
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Björn Michaelsen
URL: https://github.com/shimmerproject/lib...
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2015-06-30 13:40 UTC by Adolfo Jayme
Modified: 2018-10-27 10:25 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2015-06-30 13:40:42 UTC
The “Human” theme is so named because it is derived from Humanity, an icon theme originally developed for Ubuntu as a derivation of the original elementary theme. Nowadays, this LibreOffice theme is unmaintained, highly incomplete, and visually obsolete.

The Shimmer Project (known for Xubuntu and the Numix GTK+ theme) is creating an updated icon theme, based on Human, but including the newest elementary icons as well as creating original new ones.

@Michael: I added you to the CC list because of a licensing question: Simon, one of the Shimmer Project developers, asked me if it is necessary to put together a list of the individual icons and their license (à la icon-themes/human/CopyrightsHuman). [1]  Based on what I understand of [2], that would mean “attribution bloat”, right? 

-----

[1]: https://github.com/shimmerproject/libreoffice-style-elementary/issues/1#issuecomment-117154479
[2]: https://wiki.documentfoundation.org/License_Policy
Comment 1 Michael Meeks 2015-06-30 15:00:25 UTC
Sigh - if we can possibly avoid it - I'd -really- prefer to avoid having masses of copies of new licenses with un-necessary individual (or corporate) copyright claims in them. Then again - if you're going to do the work - its good to poke Andras with the changes to the license language you want.

Of course - crediting the authors of the icons is best done by people committing them to git and getting credited in our credit page - that's something we're enthusiastic about =)

Does that help ? either way upgrading Human sounds sensible to me if people want to work on that. Thanks !
Comment 2 Yousuf Philips (jay) (retired) 2015-07-03 20:19:31 UTC
Though the human theme isnt bundled by default with libreoffice, it is the default icon theme used for LO in Ubuntu and its flavours, except Kubuntu, so i'd assume it would be good to make sure that Canonical doesnt have an issue with this. I believe Ubuntu uses the human theme as its default icon theme for its unity desktop, so it maybe important to them to keep that consistency. CCing Bjoern for his thoughts.

During my work on tango, i have copied a few of human icons into tango that looked suitable, when tango was falling back on industrial or galaxy. Human should really be falling back on tango rather than industrial with the amount of improvements that are going into tango.
Comment 3 Björn Michaelsen 2015-07-03 20:54:37 UTC
(In reply to Yousuf (Jay) Philips from comment #2)
> Though the human theme isnt bundled by default with libreoffice, it is the
> default icon theme used for LO in Ubuntu and its flavours, except Kubuntu,
> so i'd assume it would be good to make sure that Canonical doesnt have an
> issue with this.

Right. I would really not enjoy killing the Human theme, as likely it would just mean that I would need to carry it as a cumbersome vendor patch anyway, just creating lots of pointless work along the way.

What is the point/goal of this anyway? The human theme can be turned off by a configure switch and IIRC isnt even enabled by default. If the goal is to make Ubuntu ship a different default, this certainly isnt the way towards that goal (see above).

If you want a different default in Ubuntu, the way to go about that is filing a request on launchpad at Ubuntu and get that nodded of by Ubuntus design team.

(As a general note this bug doesnt seem to be too well scoped: it describes no clear goal and mixes too many things: removing themes, adding themes, changing defaults with the latter being off-topic here beyond TDF builds.)
Comment 4 Adolfo Jayme 2015-07-05 06:25:22 UTC
@Björn: Honestly, Canonical’s design team is so embroiled in the phone project that they would ignore my bug report anyway.

I’m dropping the Human theme from this to make you more comfortable.
Comment 5 Björn Michaelsen 2015-10-04 23:48:52 UTC
Done with:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b383d19e716863134087fe83d0aa5ba156006bd
http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9c61e0faab31c753f60361a2909c1e61481ac89

after a filter-branch with a tree-filter to move the contents of libreoffice-style-elementary into the icon-themes/elementary directory
Comment 6 Yousuf Philips (jay) (retired) 2015-10-05 10:38:53 UTC
(In reply to Björn Michaelsen from comment #5)
> Done with:
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=2b383d19e716863134087fe83d0aa5ba156006bd

All of the icons are in elementary/src/... when they should be in elementary/...

Will these icons be available in daily master builds, as it would be good to test them and help the elementary team improve it. Would also be useful to have human in the daily builds as well to test against it for ubuntu, just like we have tango_testing, but these shouldnt be available in releases.

Would be good to optimize the size of the elementary zip file by removing duplicates from galaxy and likely tango and also to set its fallback icon theme.
Comment 7 Björn Michaelsen 2015-10-05 14:24:17 UTC
(In reply to Yousuf (Jay) Philips from comment #6)
> All of the icons are in elementary/src/... when they should be in
> elementary/...

moved in 7949ca85c526f2f22367900b5213e8df806ce873.

> Will these icons be available in daily master builds, as it would be good to
> test them and help the elementary team improve it. Would also be useful to
> have human in the daily builds as well to test against it for ubuntu, just
> like we have tango_testing, but these shouldnt be available in releases.

Having them in the daily build is up to the tinderbox owners. 

> Would be good to optimize the size of the elementary zip file by removing
> duplicates from galaxy and likely tango and also to set its fallback icon
> theme.

Yeah maybe, but thats not part of this bug. Lets not featurecreep the scope here ...
Comment 8 Yousuf Philips (jay) (retired) 2015-10-19 14:24:08 UTC
Was reading through another bug report and it mentioned that icon themes have entries in officecfg/registry/schema/org/openoffice/Office/Common.xcs under 'SymbolStyle' and one wasnt added for elementary, so should this have been added as part of the integration?
Comment 9 Björn Michaelsen 2015-10-20 09:44:49 UTC
(In reply to Yousuf (Jay) Philips from comment #8)
> Was reading through another bug report and it mentioned that icon themes
> have entries in officecfg/registry/schema/org/openoffice/Office/Common.xcs
> under 'SymbolStyle' and one wasnt added for elementary, so should this have
> been added as part of the integration?

Good question. It seems to work happily without that. The constraints on the config provide two possible benefits:
- having longer descriptions for the values -> but we dont seem to use those anywhere
- limiting to a known set of values

The second seems questionable with new themes popping up quite often (and initially out-of-tree), while I see no benefit of the first.

@Stephan: Given the above, how about killing the constraint in officecfg altogether now?
Comment 10 Stephan Bergmann 2015-10-20 12:20:31 UTC
(In reply to Björn Michaelsen from comment #9)
> @Stephan: Given the above, how about killing the constraint in officecfg
> altogether now?

yes, done with <http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ab2bb87d9039e7c3f2dde87698df065967a731e> "Clean up documentation of SymbolStyle prop" (those constraints are not used anyway nowadays and effectively only serve as documentation for readers of the .xcs source files)
Comment 11 Commit Notification 2016-02-27 13:53:04 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0da1080b61a1d51654fc34fdaeba373226065ff

lp#1506544 tdf#92458: default to breeze theme on unity desktops

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Heiko Tietze 2018-03-29 14:19:01 UTC
Elementary is implemented but not used (if not used on the system). So the question is whether or not we make it the default for Gnome (proposal was done in patch 3/5 at https://gerrit.libreoffice.org/#/c/51959/3)